<?
include('../connect/connect.php');
$h=intval($_GET['h']);
$w=intval($_GET['w']);
$zag=urldecode($_GET['zag']);

?>
<html>
<head>
<meta http-equiv="content-type" content="text/html; utf-8"/>
<title>Расположение объекта на карте ГУГЛ</title>
<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
<script type="text/javascript">
// объявление переменных
var map, x, y, ww, hh; // карта
var zag = '<?=$zag?>';

<?
echo "\n x=".floatval($_GET['map_x']).";";
echo "\n y=".floatval($_GET['map_y']).";";
echo "\n ww= -".$_GET['w'].";";
echo "\n hh= -".$_GET['h'].";";
?>

function initialize() {
geocoder = new google.maps.Geocoder();
   var myLatlng = new google.maps.LatLng(x,y);
   var myOptions = {
     zoom: 15,
     center: myLatlng,
     mapTypeId: google.maps.MapTypeId.ROADMAP
   }

   map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
   
   //Добавляем маркер
   marker = new google.maps.Marker({
       position: myLatlng, 
       map: map
   });
   
   /*
   //Добавляем инфоокно
  var infowindow = new google.maps.InfoWindow({ 
  content: zag,
  position: myLatlng
  });  
  infowindow.open(map); 
*/

}

</script>
</head>

<body onload="initialize()">
		<div align="center" id="map_canvas" style="width: <?=$w?>px; height: <?=$h?>px"></div>
</body>
</html>